Bug 247412 - databases/mongodb40: Update to 4.0.19
Summary: databases/mongodb40: Update to 4.0.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://docs.mongodb.com/manual/relea...
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2020-06-19 11:24 UTC by Ronald Klop
Modified: 2020-06-29 18:08 UTC (History)
3 users (show)

See Also:
dev.ashevchuk: maintainer-feedback+


Attachments
trivial update (svn diff) (1.27 KB, patch)
2020-06-19 11:24 UTC, Ronald Klop
no flags Details | Diff
trivial update (svn diff) (1.87 KB, patch)
2020-06-26 15:52 UTC, Ronald Klop
ronald-lists: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2020-06-19 11:24:39 UTC
Created attachment 215772 [details]
trivial update (svn diff)

* Fairly trivial update of distversion
* Removed master site http://download.mongodb.org/src/. It only redirects to mongodb.com.
* Removed mongodb34 from CONFLICTS_INSTALL. Port does not exist anymore.

* portlint ok
* tested on 12.1/aarch64
Comment 1 Ronald Klop 2020-06-26 15:52:05 UTC
Created attachment 215965 [details]
trivial update (svn diff)

Current license is not correct. It prevents the pkg from distribution.
Add the APACHE20 license back also. The C++ driver is embedded in this source.
Comment 2 Kurt Jaeger freebsd_committer 2020-06-29 16:54:41 UTC
testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2020-06-29 18:07:47 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-06-29 18:08:01 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 29 18:07:34 UTC 2020
New revision: 540821
URL: https://svnweb.freebsd.org/changeset/ports/540821

Log:
  databases/mongodb40: update 4.0.18 -> 4.0.19

  - License changed to Server Side Public License

  PR:		247412, 238684
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>
  Approved by:	dev.ashevchuk@gmail.com (maintainer)
  Relnotes:	https://docs.mongodb.com/manual/release-notes/4.0/#jun-15-2020

Changes:
  head/databases/mongodb40/Makefile
  head/databases/mongodb40/distinfo